<template>
	<view class="extension">
		<view class="r-wrap">
			<view class="r-inner" v-for="(item,index) in tjlogList" :key="index">
				<view class="r-inner-t">
					<view class="r-gx">
						贡献用户：{{item.xxnickname}}
					</view>
					<view class="r-gx" style="color: #747474;font-size: 28rpx;">
						{{$u.timeFormat(item.ctime,'yyyy.mm.dd:hh:MM')}}
					</view>
				</view>
				<view class="r-inner-b">
					<view class="r-gx">
						内容：{{item.msg}}
					</view>
					
				</view>
			</view>
		</view>
		<u-empty v-if="tjlogList.length==0" text="暂无记录" marginTop="0" mode="history"></u-empty>
	</view>
</template>

<script>
	import mineApi from '@/api/mine/index.js'
	export default {
		data() {
			return {
				primary:this.$theme.primary,
				settingFile:getApp().globalData.siteinfo,
				tjlogList:[]
			};
		},
		methods:{
			tjlog() {
				let that=this
				mineApi.tjlog().then(ret=>{
					if(ret.status==200){
						this.tjlogList=ret.data
					}else{
						this.$u.toast(ret.msg)
					}
				})
			},
		},
		onLoad(){
			this.tjlog()
		},
		onPullDownRefresh() {
			this.tjlog()
			setTimeout(()=>{
				uni.stopPullDownRefresh()
			},500)
		}
	}
</script>

<style lang="scss">
	page{
		background-color: #F1f1f1;
	}
	.extension{
		width: 100%;
		height: 100%;
		width: 100%;
		height: 100%;
		.r-wrap{
			width: 100%;
			padding: 15rpx 15rpx 40rpx 15rpx;
			box-sizing: border-box;
			.r-inner{
				width: 100%;
				margin-bottom: 15rpx;
				background-color: white;
				border-radius: 15rpx;
				padding: 20rpx 20rpx 25rpx 20rpx;
				position: relative;
				box-sizing: border-box;
				.r-inner-t{
					display: flex;
					justify-content: space-between;
					margin-bottom: 55rpx;
					view{
					}
				}
				.r-inner-b{
					display: flex;
					justify-content: space-between;
					font-size: 28rpx;
					color:#474747;
				}
				.r-sum{
					position: absolute;
					right: 10rpx;
					font-weight: bold;
					top: 34%;
					color: $tab-color-1;
				}
			}
		}
	}
</style>
